unit Test1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Cdirdlg, Spin, ExtCtrls, About;

type
  TForm1 = class(TForm)
    DirectoryDialog1: TDirectoryDialog;
    Button1: TButton;
    CheckBox1: TCheckBox;
    GroupBox1: TGroupBox;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    CheckBox2: TCheckBox;
    Button2: TButton;
    Edit1: TEdit;
    Label2: TLabel;
    GroupBox2: TGroupBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure Edit1Exit(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  if DirectoryDialog1.Execute then
  begin
    Edit1.Text := DirectoryDialog1.Directory;
  end;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  DirectoryDialog1.CanCreate := CheckBox1.Checked;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
  DirectoryDialog1.Helpcontext := SpinEdit1.Value;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  DirectoryDialog1.CanChangeDrive := CheckBox2.Checked;

end;

procedure TForm1.Edit1Exit(Sender: TObject);
begin
  DirectoryDialog1.Directory := Edit1.Text;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
  With DirectoryDialog1 do
  begin
    Caption := '';
    NLSCancel := '';
    NLSDirectory := '';
    NLSDrive := '';
    NLSHelp  := '';
    NLSNew   := '';
    NLSNewCaption :='';
    NLSNewPrompt := '';
  end;
end;

procedure TForm1.RadioButton2Click(Sender: TObject);
begin
  with DirectoryDialog1 do
  begin
    Caption := 'Verzeichnis whlen';
    NLSCancel := 'Abbru&ch';
    NLSDirectory := '&Verzeichnis';
    NLSDrive := '&Laufwerk';
    NLSHelp  := '&Hilfe';
    NLSNew   := '&Neu...';
    NLSNewCaption :='Verzeichnis erstellen';
    NLSNewPrompt := 'Verzeichnis&name';
  end;

end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  dlgAbout.ShowModal;
  dlgAbout.Hide;
end;

end.
